<?php
/*
 * Copyright (c) 2013, webvariants GbR, http://www.webvariants.de
 *
 * This file is released under the terms of the MIT license. You can find the
 * complete text in the attached LICENSE file or online at:
 *
 * http://www.opensource.org/licenses/mit-license.php
 */

abstract class WV_Filter_Multi implements WV_Filter_Interface {
	protected $filters;

	public function __construct() {
		$arguments = func_get_args();
		if (count($arguments) === 1 && is_array($arguments[0])) $arguments = $arguments[0];

		$this->filters = array();

		foreach ($arguments as $filter) {
			if ($filter instanceof WV_Filter_Interface) {
				$this->filters[] = $filter;
			}
		}
	}

	public function add(WV_Filter_Interface $filter) {
		$this->filters[] = $filter;
	}

	public function getFilters() {
		return $this->filters;
	}
}
