<?php
/*
 * Copyright (c) 2013, webvariants GbR, http://www.webvariants.de
 *
 * This file is released under the terms of the MIT license. You can find the
 * complete text in the attached LICENSE file or online at:
 *
 * http://www.opensource.org/licenses/mit-license.php
 */

namespace wv\metainfo\Configuration;

use wv\metainfo\Metainfo;
use wv\metainfo\Util;

class YAML extends Base {
	protected $configuration;

	public function __construct(\sly_Configuration $configuration) {
		$this->configuration = $configuration;
	}

	/**
	 * return array of property configurations
	 *
	 * @param  string $type
	 * @return array
	 */
	public function getAllMetainfoDataForType($type) {
		Metainfo::validateType($type);
		$type = Util::mapTypeToConfig($type);

		return $this->configuration->get('metainfo/'.$type, array());
	}

	/**
	 * return property configuration as assoc array
	 *
	 * @param  string $type
	 * @param  string $name
	 * @return array
	 */
	public function getMetainfoData($type, $name) {
		Metainfo::validateType($type);
		$type = Util::mapTypeToConfig($type);

		return $this->configuration->get('metainfo/'.$type.'/'.$name, array());
	}
}
