<?php
/*
 * Copyright (c) 2013, webvariants GbR, http://www.webvariants.de
 *
 * This file is released under the terms of the MIT license. You can find the
 * complete text in the attached LICENSE file or online at:
 *
 * http://www.opensource.org/licenses/mit-license.php
 */

namespace wv\realurl2;

use sly_Container;
use wv\realurl2\Cache\Runtime;
use wv\realurl2\Generator;

class Service {
	protected $container;

	public function __construct(sly_Container $container) {
		$this->container = $container;
	}

	/**
	 * @param  boolean $xhtml  true to get self-closing tag, else false
	 * @return string
	 */
	public function getBaseTag($xhtml = true) {
		$base = $this->container->get('sly-request')->getBaseUrl(true).'/';

		return '<base href="'.$base.'"'.($xhtml ? ' /' : '').'>';
	}

	/**
	 * @param  Runtime $cache                 the cache to use
	 * @return wv\realurl2\Generator\Article
	 */
	public function getGenerator(Runtime $cache) {
		return new Generator\Article($cache);
	}
}
